> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Hris Employee Documents

> Lists an employee's HRIS documents with signed download URLs where the caller's role may view content.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-hris-employee-documents
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-hris-employee-documents:
    get:
      operationId: getHrisEmployeeDocuments
      summary: Get Hris Employee Documents
      description: >-
        Lists an employee's HRIS documents with signed download URLs where the
        caller's role may view content.


        Not available to API keys.
      parameters:
        - name: roleInOrgID
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetHrisEmployeeDocumentsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetHrisEmployeeDocumentsResponse:
      type: object
      properties:
        documents:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              category:
                type: string
              displayName:
                type:
                  - string
                  - 'null'
              fileName:
                type: string
              downloadUrl:
                type:
                  - string
                  - 'null'
              createdAt:
                type: string
            required:
              - id
              - category
              - displayName
              - fileName
              - downloadUrl
              - createdAt
      required:
        - documents
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
